<template functional>
  <v-navigation-drawer
    app
    :clipped="props.clipped"
    enable-resize-watcher
    fixed
    :miniVariant="props.miniVariant"
    persistent
    :value="props.drawer"
  >
    <v-list>
      <v-list-tile
        v-for="(item, i) in props.items"
        :key="i"
        :to="{name: item.link}"
        exact
      >
        <v-list-tile-action>
          <v-icon v-html="item.icon"></v-icon>
        </v-list-tile-action>
        <v-list-tile-content>
          <v-list-tile-title v-text="item.title"></v-list-tile-title>
        </v-list-tile-content>
      </v-list-tile>
    </v-list>
  </v-navigation-drawer>
</template>
